LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 12-03-2011, 09:18 AM   #16
tronayne
Senior Member
 
Registered: Oct 2003
Location: Northeastern Michigan, where Carhartt is a Designer Label
Distribution: Slackware 32- & 64-bit Stable
Posts: 3,541

Rep: Reputation: 1060Reputation: 1060Reputation: 1060Reputation: 1060Reputation: 1060Reputation: 1060Reputation: 1060Reputation: 1060

Ah, nuts! Guess it didn't attach so here
Code:
#!/bin/sh
#ident  "$Id: biggest.sh,v 1.2 2011/12/03 15:16:31 trona Exp $"
#
#       Name:           $Source: /usr/local/cvsroot/utils/biggest.sh,v $
#       Version:        $Revision: 1.2 $
#       Modified:       $Date: 2011/12/03 15:16:31 $
#       Purpose:
#       Author:         Bob Orlando
#       Date:           8 Apr 1995
#       $Log: biggest.sh,v $
#       Revision 1.2  2011/12/03 15:16:31  trona
#       minor edit
#
#       Revision 1.1.1.1  2009/10/07 18:06:40  trona
#       initial installation Slackware 13.0
#
#       Revision 1.1.1.1  2009/01/29 15:03:25  trona
#       inital
#
#       Revision 1.1  2007/08/19 15:31:34  trona
#       initial installation
#
  #----------------------------------------------------------------#
  # Script_name assignment is necessary if there exists the        #
  # possibility that this process may be run by the 'at' command.  #
  # Run via 'at' and $0 simply returns '/bin/sh' or 'sh' (hardly   #
  # desirable if you run that into basename).                      #
  #----------------------------------------------------------------#
  script_name="biggest.sh"
  [ $0 = "/bin/sh" -o `dirname $0` = "." ] \
    && script_home=`pwd` || script_home=`dirname $0`
  bin=/usr/bin # Default

  #----------------------------------------------#
  # Use awk, nawk or gawk, depending on the OS.  #
  #----------------------------------------------#
  OZ=`uname -s 2> /dev/null | tr '[a-z]' '[A-Z]' 2> /dev/null`
  if   [ ."$OZ" = ."HP-UX" ]; then
     AWK=awk
  elif [ ."$OZ" = ."LINUX" ]; then
     bin_dir=/bin
     AWK=gawk
  elif [ ."$OZ" = ."SUNOS" ]; then
     AWK=nawk
  else # Unknown OS, see if there's any kind'a Awk available.
     if   [ -f $bin/gawk ]; then AWK=gawk
     elif [ -f $bin/nawk ]; then AWK=nawk
     elif [ -f $bin/awk  ]; then AWK=awk
     elif [ `expr "\`awk 2>&1\`" : 'Usage: '` -gt 0 ]; then AWK=awk
     else # This is really getting awkward :-o
        echo "Unable to locate [gn]awk program! $0 terminating." 1>&2
        exit 1 # Well behaved here
     fi
  fi


#======================================================================#
#                    L O C A L    F U N C T I O N S                    #
#                       (in alphabetical order)                        #
#----------------------------------------------------------------------#
EXIT_USAGE()
#----------------------------------------------------------------------#
{
  echo "Usage: biggest.sh -fHh -l <nn> -s <nnn> -t <dir> -v fs\n" 1>&2
  echo "                  -f = follow links"                      1>&2
  echo "                  -H = Full documentation"                1>&2
  echo "                  -h = Usage brief"                       1>&2
  echo "                  -l = Displays <nn> lines"               1>&2
  echo "                  -s = Minimum file size is <nnn>"        1>&2
  echo "                  -t = Temp/work directory, <dir>"        1>&2
  echo "                  -v = Edit (vi) file list"               1>&2
  echo "                  fs = Required filesystem argument."     1>&2
  echo ""                                                         1>&2
  exit 1
}

#----------------------------------------------------------------------#
SHOW_DOCUMENTATION() # Function documentation located at bottom.       #
#----------------------------------------------------------------------#
{
  #----------------------------------------------------------------#
  # If the following variables are not set, use these as defaults. #
  #----------------------------------------------------------------#
  : ${script_name:=`basename $0`}
  : ${script_home:=`dirname  $0`}
  SD_script_home=`echo $script_home | sed 's/\/*$/\//'`

  #------------------------------------------------#
  # User wants help, so find the documentation     #
  # section and print everything from there down.  #
  #------------------------------------------------#
  $AWK -v script_name=$script_name \
    'BEGIN { n=0 }

     { #------------------------------------------#
       # Until we find the documentation section, #
       # keep looking at each line.               #
       #------------------------------------------#
       if (n == 0)
       {
         if ($0 ~ /^# +D O C U M E N T A T I O N/)
         {
           n = NR
           print line
           print $0
         }
         else
         {
           line = $0
         }

         next
       }    #-------------------------------------#
       else # Once we find it, print until EOF.   #
       {    #-------------------------------------#
         print
       }
     }

     END {
           if (n == 0) # Means there is no documentation section.
           {
            "date +%Y-%m-%d" | getline yyyy_mm_dd
             print yyyy_mm_dd" NO DOCUMENTATION",
               "section found for "script_name".\a" | "cat 1>&2"
             exit 1 # Exit failure
           }
           exit 0 # Else exit success
         }' ${SD_script_home}$script_name

  exit $?
} # "SD_" prefix identifies this function's variables


#======================================================================#
#                     I N I T I A L I Z A T I O N                      #
#======================================================================#
  opt_v=0 # Default 'vi' option (0 = Do NOT vi the file list)
  tmp=/var/tmp
  follow=""
  size="499999" # Default minimum filesize
  lines="500"   # Default maximum lines

  while getopts fHhl:s:t:v opt 2> /dev/null
  do
     case "$opt" in
        f ) follow='-follow'  ;;
        H ) SHOW_DOCUMENTATION;;
        h ) EXIT_USAGE        ;;
        l ) lines="$OPTARG"   ;; # Max number of lines to display.
        s ) size="$OPTARG"    ;; # Minimum file size.
        t ) tmp="$OPTARG"     ;; # Temp directory (if /var/tmp full)
        v ) opt_v=1           ;;
        * ) echo "Ignoring invalid option, $1.";;
     esac
  done
  #----------------------------------#
  # Shift past options to arguments. #
  #----------------------------------#
  shift `expr $OPTIND - 1`


#======================================================================#
#                                M A I N                               #
#======================================================================#

  [ $# -eq 0 ] && EXIT_USAGE

  #-----------------------------------------------------------------#
  # Ensure we have write-access to temp/work directory.             #
  #-----------------------------------------------------------------#
  if [ ! -d $tmp ]; then
     echo "Temp/work directory, $tmp not found!" \
          "\n$script_name terminated."
     exit 1
  elif [ ! -w $tmp ]; then
     echo "No write access to temp/work directory, $tmp!" \
          "\n$script_name terminated."
     exit 1
  fi

  #----------------------------------------------------------------#
  # File lists of remote filesystems is problematic, so we limit   #
  # our operations to local filesystems only.                      #
  #----------------------------------------------------------------#
  df -lk $1
  if [ $? -ne 0 ]; then
     echo "$1 MUST be a local filesystem--it is not!" \
          "\n$script_name terminated."
     exit 1
  fi

  #----------------------------------------------------------------#
  # Build a 'find' command with the necessary options/arguments.   #
  # Be sure to exclude anything with cdrom in it and include -xdev #
  # -xdev if the filesystem being searched is root (/).            #
  #----------------------------------------------------------------#
  outfile=$tmp/$LOGNAME"_biggest.files" # Formatted 'find' output
  include='-size +'"$size"'c -exec ls -lc {} \;'
  exclude='-o -fstype nfs -prune -o -name cdrom\* -prune'
  [ ."$1" = ."/" ] && find_opt="-xdev $follow" || find_opt="$follow"

  date "+%D %T"
  find_cmd="find $1 $find_opt $include $exclude -print"

  #----------------------------------------------------------------#
  # Display find command before running it.  Use [gn]awk to format #
  # the output and sort it in descending order (biggest on top).   #
  #----------------------------------------------------------------#
  echo "$find_cmd 2> /dev/null | $AWK"
  eval  $find_cmd 2> /dev/null | $AWK \
    'BEGIN \
     {
       i   = 0
       own = 3
       siz = 5
       mmm = 6
       day = 7
       yyy = 8 # This may actually be yyyy or hh:mi
       Mon = "^(Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|Nov|Dec)$"
     }
  # "! /^[bcd]/" skips block and character devices and directories
     ! /^[bcd]/ \
     {
       #-----------------------------------------------------------#
       # If it looks like owner and group fields are concatonated, #
       # try backing up the field ($n) list and work with that.    #
       #-----------------------------------------------------------#
       if ($siz !~ /[0-9]+/ && !match($mmm,Mon))
       {
         if ($(siz-1) ~ /[0-9]+/ && match($(mmm-1),Mon))
         {
           siz = 4 # 4th field
           mmm = 5 # Etc.
           day = 6
           yyy = 7
         }
       }

       gsub(/[\t ]+/," ")  # Squeeze whitespace.
       gsub(/./,"& ",$siz) # Isolate each digit,
       q=split($siz,a," ") #   then split the $siz into an array.
       $siz=""             # Clear $siz.
       for (p=1;q>0;q--)   # Insert commas into $siz.
       {
         $siz=a[q]""$siz
         if ((p%3) == 0 && q != 1) $siz=","$siz # Insert commas here
         p++
       }

       printf("%13s %-8s %s %02d %-5s %s\n",
         $siz, $own, $mmm, $day, $yyy, $NF)

       #-----------------------------------------------#
       # if size value is not 5, then reset it, et al. #
       #-----------------------------------------------#
       if (siz != 5)
       {
         siz = 5
         mmm = 6
         day = 7
         yyy = 8
       }
     }' |  sort -r -k 1,2 | head -$lines  > $outfile

  #----------------------------------------------------------------#
  # Unless 'vi' option was given, simply cat our file list.        #
  #----------------------------------------------------------------#
  if [ `wc -l < $outfile` -eq 0 ]; then
     echo "No files found in $1 > $size bytes in size."
  else
     [ $opt_v -eq 0 ] && cat $outfile || vi $outfile
  fi

  exit $?


#======================================================================#
#                      D O C U M E N T A T I O N                       #
#======================================================================#
#                                                                      #
#      Author: Bob Orlando (Bob@OrlandoKuntao.com)                     #
#                                                                      #
#        Date: April 8, 1995                                           #
#                                                                      #
#  Program ID: biggest.sh                                              #
#                                                                      #
# Code Contrl: aphrodite:~dmc/SCCS.                                    #
#                                                                      #
#       Usage: biggest.sh -fHh -l <nn> -v -t <dir> -s <nnn> fs         #
#                                                                      #
#                         -f = Follow links                            #
#                         -H = Displays detailed documentation         #
#                         -h = Provides usage brief                    #
#                         -l = Displays <nn> lines (default is 500)    #
#                         -s = Minimum file size is <nnn>              #
#                              (default is 500K)                       #
#                         -t = Use <dir> as temp/work directory        #
#                              (default is /var/tmp)                   #
#                         -v = Edit (vi) file list                     #
#                         fs = Required filesystem argument.           #
#                                                                      #
#     Purpose: List biggest files in a given filesystem (files         #
#              appear in descending order).                            #
#                                                                      #
# Description: Using the find command, descend through the specified   #
#              file system (fs) listing all files whose sizes exceed   #
#              either the default minimum size (500K) or the minimum   #
#              value provided via size (-s) option.  The filelist      #
#              is created in /var/tmp by default as it usually much    #
#              larger than /tmp.  However, in the event that /var      #
#              is the filesystem that's full (or is not writable to    #
#              the user), the temp dir (-t) option is available to     #
#              redirect the output elsewhere.                          #
#                                                                      #
#              When root is the directory being searched, -xdev is     #
#              supplied as a find argument so only root, and none      #
#              of its subdirectories, is searched.                     #
#                                                                      #
#              With the 'vi' option (-v) the user can edit the         #
#              normally cat'd file list.                               #
#                                                                      #
#    Modified: 2005-03-02 Bob Orlando                                  #
#                v1.6   * Add code to parse the correct fields when    #
#                         the owner and group fields are concatonated, #
#                         effectively making two fields, one (really   #
#                         messes up AWK processing).                   #
#                                                                      #
#----------------------------------------------------------------------#
 
Old 12-05-2011, 08:53 AM   #17
tezarin
Member
 
Registered: Nov 2007
Posts: 133

Original Poster
Rep: Reputation: 0
Hi tronayne,

Thanks much for your very helpful reply. I ran the command and the results were almost all looking like this:

Code:
862 mailprint Sep 30 23:44 qfp913i2wb023649
89 mailprint Dec 01 04:33 dfpB19Xgfu017333
Tried to find the files (i.e. dfpB19Xgfu017333) and noticed they all live inside /var/spool/clientmqueue directory.

Code:
[root@servername]# du -s  /var/spool/clientmqueue
1441968 /var/spool/clientmqueue
And

Code:
[root@servername]# du -ah /var/spool/clientmqueue
8.0K    /var/spool/clientmqueue/dfp9F411ua002981
8.0K    /var/spool/clientmqueue/dfp9QMJ2Wh004013
8.0K    /var/spool/clientmqueue/qfpAQ8n1cx001885
8.0K    /var/spool/clientmqueue/dfp9VGg1sW014417
8.0K    /var/spool/clientmqueue/qfpAQ341Sr030239
8.0K    /var/spool/clientmqueue/qfp944u2sZ003347
8.0K    /var/spool/clientmqueue/dfpA5AK1vn009286
8.0K    /var/spool/clientmqueue/qfpA6Jx1g6022690
8.0K    /var/spool/clientmqueue/qfpAL4D2do005340
8.0K    /var/spool/clientmqueue/dfpA4Cq1lL020613
1.4G    /var/spool/clientmqueue
I think we're getting close! Would the files in this directory be somethings I can just go ahead and delete?


Thanks,
tezarin

Last edited by tezarin; 12-05-2011 at 09:02 AM.
 
Old 12-05-2011, 09:52 AM   #18
tronayne
Senior Member
 
Registered: Oct 2003
Location: Northeastern Michigan, where Carhartt is a Designer Label
Distribution: Slackware 32- & 64-bit Stable
Posts: 3,541

Rep: Reputation: 1060Reputation: 1060Reputation: 1060Reputation: 1060Reputation: 1060Reputation: 1060Reputation: 1060Reputation: 1060
Well, I've got to admit that I did not have any idea what the heck /var/spool/mqueue was for so I did a little Google search and turned up this: http://www.the-art-of-web.com/system/mqueue/; appears to explain the what's, why's and wherefore's.

So, give it a read.

Hope this helps some.
 
Old 12-05-2011, 11:09 AM   #19
tezarin
Member
 
Registered: Nov 2007
Posts: 133

Original Poster
Rep: Reputation: 0
Thanks for the thread. Me either...I was sitting here scratching my head and at the same time looking at the size of that directory...

Have been reading up on it since this morning:

http://groups.google.com/group/comp....49feda8bd3bad3

http://www.unix.com/solaris/152772-n...entmqueue.html

http://www.unix.com/solaris/152772-n...entmqueue.html

They all say it's safe to delete everything found in that clientmqueue directory...

Has anyone else done this before? The server is not even a mail server...Very strange

This is the machine's operating system info: 2.6.12-1.1381_FC3smp

Update - I ran the following command and got an error:
Code:
 
[root@servername clientmqueue]# rm -f *
-bash: /bin/rm: Argument list too long

Last edited by tezarin; 12-05-2011 at 11:36 AM.
 
Old 12-05-2011, 12:18 PM   #20
tezarin
Member
 
Registered: Nov 2007
Posts: 133

Original Poster
Rep: Reputation: 0
Hi Tronayne,

OK, I successfuly deleted clientmqueue directory and went from 71% to 53%. Created that directory again in case it's needed by something, mkdir clientmqueue...Was this a bad approach?

Checked to make sure sendmail is stopped which looks like it is so not sure why I would have enteries in that directory to begin with, some of the enteries were dating today.

Now, ran your code (biggest.sh) and this is the output I'm getting. What would you think I should be deleting?

Thanks in advance

Code:
[root@servername tezarin]# ./biggest /
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/hda1              4134900   2049488   1875364  53% /
12/05/11 13:10:47
find / -xdev  -size +499999c -exec ls -lc {} \; -o -fstype nfs -prune -o -name cdrom\* -prune -print 2> /dev/null | gawk
      948,578 root     May 02 2006  /root/.mozilla/firefox/4kgrrgn9.default/XUL.mfasl
      936,960 root     Nov 22 2005  /lib/libcrypto.so.0.9.7a
      903,393 root     May 29 2005  /etc/gconf/schemas/gnomemeeting.schemas
  887,935,163 root     Nov 16 22:41 /etc/bacula/bacula-fd.log
      872,812 root     Dec 05 13:10 /var/log/cups/access_log
      845,636 root     Nov 22 2005  /lib/tls/i686/libdb-4.2.so
      845,636 root     Nov 22 2005  /lib/tls/i586/libdb-4.2.so
      845,636 root     Nov 22 2005  /lib/tls/i486/libdb-4.2.so
      843,996 root     May 29 2005  /lib/libdb-4.2.so
      839,680 root     May 02 2006  /root/.mozilla/firefox/4kgrrgn9.default/Cache/_CACHE_003_
      825,328 root     May 29 2005  /sbin/restore
      821,989 root     May 29 2005  /etc/gconf/schemas/gok.schemas
      816,171 root     Jun 05 2006  /var/cache/yum/base/primary.xml.gz
      795,578 root     Oct 23 2005  /boot/System.map-2.6.12-1.1380_FC3smp
      795,578 root     Nov 21 2005  /boot/System.map-2.6.12-1.1381_FC3smp
      795,114 root     Aug 31 2005  /boot/System.map-2.6.12-1.1376_FC3smp
      792,857 root     Oct 23 2005  /etc/termcap
      790,080 root     Aug 14 2005  /boot/System.map-2.6.12-1.1372_FC3smp
      774,827 root     May 29 2005  /boot/System.map-2.6.11-1.27_FC3smp
      766,856 root     May 29 2005  /lib/modules/2.6.11-1.27_FC3/kernel/drivers/isdn/hisax/hisax.ko
      766,296 root     Aug 14 2005  /lib/modules/2.6.12-1.1372_FC3/kernel/drivers/isdn/hisax/hisax.ko
      766,244 root     Oct 23 2005  /lib/modules/2.6.12-1.1380_FC3/kernel/drivers/isdn/hisax/hisax.ko
      766,244 root     Nov 21 2005  /lib/modules/2.6.12-1.1381_FC3/kernel/drivers/isdn/hisax/hisax.ko
      766,244 root     Aug 31 2005  /lib/modules/2.6.12-1.1376_FC3/kernel/drivers/isdn/hisax/hisax.ko
      765,359 root     Oct 23 2005  /boot/System.map-2.6.12-1.1380_FC3
      765,359 root     Nov 21 2005  /boot/System.map-2.6.12-1.1381_FC3
      764,895 root     Aug 31 2005  /boot/System.map-2.6.12-1.1376_FC3
      760,344 root     Nov 21 2005  /lib/security/pam_userdb.so
      760,080 root     Aug 14 2005  /boot/System.map-2.6.12-1.1372_FC3
      747,077 root     May 29 2005  /boot/System.map-2.6.11-1.27_FC3
      742,506 root     May 29 2005  /boot/System.map-2.6.9-1.667smp
      740,729 root     Dec 05 13:10 /var/log/maillog
      727,788 root     May 29 2005  /sbin/cryptsetup
      722,472 root     May 29 2005  /lib/libnss_wins.so.2
      714,266 root     May 29 2005  /boot/System.map-2.6.9-1.667
    7,128,600 root     Dec 05 04:03 /var/lib/slocate/slocate.db
      710,168 root     May 29 2005  /lib/security/pam_smbpass.so
      708,427 root     May 29 2005  /etc/gconf/gconf.xml.defaults/schemas/apps/nautilus/preferences/%gconf.xml
      686,604 root     Nov 22 2005  /lib/libasound.so.2.0.0
      677,612 root     May 29 2005  /lib/modules/2.6.11-1.27_FC3smp/kernel/drivers/isdn/hisax/hisax.ko
      677,288 root     Aug 14 2005  /lib/modules/2.6.12-1.1372_FC3smp/kernel/drivers/isdn/hisax/hisax.ko
      677,236 root     Oct 23 2005  /lib/modules/2.6.12-1.1380_FC3smp/kernel/drivers/isdn/hisax/hisax.ko
      677,236 root     Nov 21 2005  /lib/modules/2.6.12-1.1381_FC3smp/kernel/drivers/isdn/hisax/hisax.ko
      677,236 root     Aug 31 2005  /lib/modules/2.6.12-1.1376_FC3smp/kernel/drivers/isdn/hisax/hisax.ko
      667,152 root     May 29 2005  /sbin/dump
      663,552 cyrus    May 29 2005  /var/lib/imap/db/__db.002
      663,244 root     Aug 14 2005  /lib/modules/2.6.12-1.1372_FC3/kernel/fs/xfs/xfs.ko
      663,168 root     Oct 23 2005  /lib/modules/2.6.12-1.1380_FC3/kernel/fs/xfs/xfs.ko
      663,168 root     Nov 21 2005  /lib/modules/2.6.12-1.1381_FC3/kernel/fs/xfs/xfs.ko
      663,168 root     Aug 31 2005  /lib/modules/2.6.12-1.1376_FC3/kernel/fs/xfs/xfs.ko
      662,748 root     May 29 2005  /lib/modules/2.6.11-1.27_FC3/kernel/fs/xfs/xfs.ko
      651,624 root     Aug 14 2005  /etc/gconf/schemas/gedit.schemas
      633,496 root     May 29 2005  /etc/gconf/gconf.xml.defaults/schemas/apps/gnome-terminal/keybindings/%gconf.xml
      629,219 root     May 29 2005  /etc/firmware/microcode.dat
      621,164 root     May 29 2005  /lib/modules/2.6.9-1.667/kernel/drivers/isdn/hisax/hisax.ko
      616,620 root     Aug 14 2005  /lib/modules/2.6.12-1.1372_FC3smp/kernel/fs/xfs/xfs.ko
      616,544 root     Nov 21 2005  /lib/modules/2.6.12-1.1381_FC3smp/kernel/fs/xfs/xfs.ko
      616,544 root     Aug 31 2005  /lib/modules/2.6.12-1.1376_FC3smp/kernel/fs/xfs/xfs.ko
      616,540 root     Oct 23 2005  /lib/modules/2.6.12-1.1380_FC3smp/kernel/fs/xfs/xfs.ko
      616,312 root     Aug 09 2008  /bin/bash
      615,692 root     May 29 2005  /lib/modules/2.6.11-1.27_FC3smp/kernel/fs/xfs/xfs.ko
      609,372 root     Oct 23 2005  /sbin/fsck.ext3
      609,372 root     Oct 23 2005  /sbin/fsck.ext2
      609,372 root     Oct 23 2005  /sbin/e2fsck
      595,281 root     Oct 23 2005  /boot/initrd-2.6.12-1.1380_FC3.img
      595,278 root     Nov 21 2005  /boot/initrd-2.6.12-1.1381_FC3.img
      595,162 root     Aug 31 2005  /boot/initrd-2.6.12-1.1376_FC3.img
      595,154 root     Aug 14 2005  /boot/initrd-2.6.12-1.1372_FC3.img
      590,232 root     May 29 2005  /lib/modules/2.6.9-1.667/kernel/fs/xfs/xfs.ko
      589,885 root     May 29 2005  /boot/initrd-2.6.11-1.27_FC3.img
      588,764 root     Dec 05 13:10 /var/log/messages
      579,309 root     Nov 21 2005  /boot/initrd-2.6.12-1.1381_FC3smp.img
      577,698 root     Aug 31 2005  /boot/initrd-2.6.12-1.1376_FC3smp.img
      577,681 root     Aug 14 2005  /boot/initrd-2.6.12-1.1372_FC3smp.img
      577,653 root     Oct 23 2005  /boot/initrd-2.6.12-1.1380_FC3smp.img
      574,717 root     May 29 2005  /boot/initrd-2.6.11-1.27_FC3smp.img
      570,400 root     Nov 21 2005  /sbin/ldconfig
    5,681,152 rpm      Aug 24 2006  /var/lib/rpm/Basenames
    5,593,374 mailprint Dec 05 13:10 /home/mailprint/mailprint.log
      558,391 root     Jan 14 2010  /sbin/bacula-fd
    5,566,464 rpm      Aug 24 2006  /var/lib/rpm/Dirnames
    5,532,228 root     Jun 05 2006  /var/cache/yum/base/primary.xml.gz.ce7bdfd5a6066a4f18c498b693faa16597a0733c.pickle
    5,501,431 root     Dec 04 04:02 /var/log/cups/access_log.3
      549,060 root     May 29 2005  /lib/modules/2.6.9-1.667smp/kernel/fs/xfs/xfs.ko
      548,068 root     May 29 2005  /lib/libnss_db.so.2.0.0
      545,540 root     May 29 2005  /sbin/dmraid.static
      541,716 root     Oct 23 2005  /sbin/udev.static
      541,540 root     May 29 2005  /lib/modules/2.6.9-1.667smp/kernel/drivers/isdn/hisax/hisax.ko
      522,116 root     May 29 2005  /bin/ash.static
      519,405 root     May 29 2005  /etc/gconf/schemas/panel-toplevel.schemas
      518,089 root     Jun 16 2005  /opt/ymessenger/lib/libgtkhtml.so.6
    5,170,210 root     Dec 04 04:02 /var/log/cups/access_log.2
      508,182 root     May 29 2005  /etc/gconf/gconf.xml.defaults/schemas/apps/gnome-terminal/profiles/Default/%gconf.xml
   46,043,136 rpm      Aug 24 2006  /var/lib/rpm/Packages
    4,517,673 root     Dec 04 04:02 /var/log/cups/access_log.1
    4,340,206 root     Dec 04 04:02 /var/log/cups/access_log.4
    4,123,734 root     Oct 24 2009  /root/zot
    2,818,460 root     May 29 2005  /lib/libnss_ldap-2.3.3.so
    2,648,166 root     Jun 05 2006  /var/cache/yum/updates-released/primary.xml.gz.d0eecb98e9a164da7dccea13c6fd6acab7823d81.pickle
    2,647,550 root     Sep 27 04:03 /var/spool/mail/root
   22,568,960 cyrus    May 29 2005  /var/lib/imap/db/__db.004
    2,096,844 root     Jun 10 2005  /root/.mozilla/plugins/libflashplayer.so
    1,954,668 root     Jun 16 2005  /opt/ymessenger/bin/ymessenger.bin
   19,136,220 root     Dec 05 09:31 /var/log/lastlog
    1,660,612 root     Oct 23 2005  /boot/vmlinuz-2.6.12-1.1380_FC3
    1,660,241 root     Nov 21 2005  /boot/vmlinuz-2.6.12-1.1381_FC3
    1,659,818 root     Aug 31 2005  /boot/vmlinuz-2.6.12-1.1376_FC3
    1,652,295 root     Aug 14 2005  /boot/vmlinuz-2.6.12-1.1372_FC3
    1,636,782 root     May 29 2005  /boot/vmlinuz-2.6.11-1.27_FC3
    1,583,651 root     Oct 23 2005  /boot/vmlinuz-2.6.12-1.1380_FC3smp
    1,582,919 root     Nov 21 2005  /boot/vmlinuz-2.6.12-1.1381_FC3smp
    1,581,871 root     Aug 31 2005  /boot/vmlinuz-2.6.12-1.1376_FC3smp
    1,575,017 root     Aug 14 2005  /boot/vmlinuz-2.6.12-1.1372_FC3smp
    1,552,968 root     May 29 2005  /boot/vmlinuz-2.6.11-1.27_FC3smp
    1,525,032 root     Nov 22 2005  /lib/tls/libc-2.3.6.so
    1,508,968 root     Nov 21 2005  /lib/libc-2.3.6.so
    1,500,500 root     Nov 21 2005  /lib/i686/libc-2.3.6.so
    1,318,912 root     Sep 30 04:04 /var/lib/rpm/__db.002
    1,164,630 root     May 29 2005  /etc/gconf/schemas/gnome-terminal.schemas
    1,089,168 root     May 29 2005  /sbin/lvm.static
    1,080,872 root     May 29 2005  /etc/gconf/schemas/metacity.schemas
    1,055,308 root     May 29 2005  /etc/gconf/schemas/apps_nautilus_preferences.schemas
    1,047,083 root     Dec 05 04:02 /var/cache/man/whatis
   10,420,224 rpm      Aug 24 2006  /var/lib/rpm/Filemd5s
    1,037,232 root     Nov 14 12:03 /var/spool/cups/d10703-001
                        00
                        00
                        00
                        00
                        00
                        00
                        00
                        00
                        00
                        00
                        00
                        00
                        00
                        00
                        00
                        00
                        00
                        00
                        00
                        00
                        00
                        00
                        00
                        00
                        00
                        00
                        00
                        00
                        00
 
Old 12-05-2011, 04:21 PM   #21
tronayne
Senior Member
 
Registered: Oct 2003
Location: Northeastern Michigan, where Carhartt is a Designer Label
Distribution: Slackware 32- & 64-bit Stable
Posts: 3,541

Rep: Reputation: 1060Reputation: 1060Reputation: 1060Reputation: 1060Reputation: 1060Reputation: 1060Reputation: 1060Reputation: 1060
Well, /etc/bacula/bacula-fd.log looks like a good candidate, eh? You can, if you'd like, empty that file with
Code:
su -
>/etc/bacula/bacula-fd.log
Ctrl-D
Think I'd leave the rest of it alone.

Good time to start thinking about a new drive....

Hope this helps some.
 
Old 12-06-2011, 07:54 AM   #22
tezarin
Member
 
Registered: Nov 2007
Posts: 133

Original Poster
Rep: Reputation: 0
Hi tronayne,

Wow, we think a like now! Yesterday before I come back to see this thread, I ran the same command you posted and emptied that large log file! The root directory is now 31% full! You have been more than helpful, I really appreciate it. We should mark this thread fixed.

Regards,
t
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
RHEL4 root directory says full but sum of use is nowhere near full. Why? SteveInTallyFL Linux - Server 11 02-05-2009 05:45 AM
root file system full linuxtesting2 Solaris / OpenSolaris 7 08-15-2007 05:41 AM
root file system full WLReed Ubuntu 2 03-27-2007 11:29 PM
/root directory full kpachopoulos Linux - General 6 07-07-2005 12:01 AM
X not running, Root directory full. Serendipity0404 Linux - General 3 04-04-2005 05:00 PM


All times are GMT -5. The time now is 10:06 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration